# Created by pyp2rpm-1.0.0
%global pypi_name codepy

Name:           python-codepy
Version:        2019.1
Release:        %mkrel 9
Group:          Development/Python
Summary:        Generate and execute native code at run time

License:        MIT
URL:            https://mathema.tician.de/software/codepy
Source0:        https://pypi.io/packages/source/c/codepy/codepy-%{version}.tar.gz
BuildArch:      noarch

%description
CodePy is a C/C++ metaprogramming toolkit for Python. It handles two aspects of
native-code metaprogramming:

      * Generating C/C++ source code.
      * Compiling this source code and dynamically loading it into the
        Python interpreter.

Both capabilities are meant to be used together, but also work on
their own.

%package -n python3-%{pypi_name}
Summary:        Generate and execute native code at run time
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
CodePy is a C/C++ metaprogramming toolkit for Python. It handles two aspects of
native-code metaprogramming:

      * Generating C/C++ source code.
      * Compiling this source code and dynamically loading it into the
        Python interpreter.

Both capabilities are meant to be used together, but also work on
their own.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files codepy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2019.1-9.mga10
+ Revision: 2242142
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 2019.1-8.mga10
+ Revision: 2159647
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 2019.1-7.mga10
+ Revision: 2036085
- rebuild for python 3.12
- use pyproject

* Wed Mar 23 2022 umeabot <umeabot> 2019.1-6.mga9
+ Revision: 1823879
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2019.1-5.mga9
+ Revision: 1785553
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 2019.1-4.mga9
+ Revision: 1733730
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 2019.1-3.mga9
+ Revision: 1732379
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2019.1-2.mga8
+ Revision: 1532163
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 2019.1-1.mga8
+ Revision: 1441796
- new version: 2019.1
- port to Python 3
- drop python2 support

* Wed Sep 19 2018 umeabot <umeabot> 2013.1.2-3.mga7
+ Revision: 1274565
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 2013.1.2-2.mga6
+ Revision: 971706
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 2013.1.2-1.mga6
+ Revision: 892326
- new version: 2013.1.2
- disable generation of html docs (fix build failure)
- uses new python macros

* Wed Oct 15 2014 umeabot <umeabot> 2013.1-8.mga5
+ Revision: 747108
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2013.1-7.mga5
+ Revision: 728190
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 neoclust <neoclust> 2013.1-4.mga4
+ Revision: 546375
- Fix Requires

* Tue Oct 22 2013 umeabot <umeabot> 2013.1-3.mga4
+ Revision: 543129
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013.1-2.mga4
+ Revision: 498282
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 2013.1-1.mga4
+ Revision: 440998
- update file list
- new version 2013.1

* Sat Mar 30 2013 rtp <rtp> 2012.1.2-2.mga3
+ Revision: 406696
- Add missing build requires not noticed due to the build script downloading it while
  building.

* Sun Dec 09 2012 joequant <joequant> 2012.1.2-1.mga3
+ Revision: 329013
- imported package python-codepy

